local npcManager = require("npcManager")

local bluePhanto = require("scripts/npc/bluePhanto")

local battlePhanto = require("scripts/battlePhanto")


local npcID = NPC_ID
local phanto = {}

local phantoSettings = table.join({
	id = npcID,

	wornImage = Graphics.loadImageResolved("resources/phanto_mask_blue.png"),
	wornAuraEffectColor = Color.fromHexRGB(0x235DAF),

	nohurt = true,

	wearable = true,

	permanentleavingenabled = false,
	leavetime = 1280,

	chaseacceleration = 0.4,
	chasemaxspeed = 9,

	chargeradius = 144,

	chargeanticipationspeed = 2.5,
	chargeadditionaldistance = 32,

	spbSoundEnabled = false,
},bluePhanto.sharedSettings)

npcManager.setNpcSettings(phantoSettings)
npcManager.registerHarmTypes(npcID, {HARM_TYPE_TAIL, HARM_TYPE_SWORD})

battlePhanto.mainNPCID = npcID

bluePhanto.register(npcID)

return phanto